
KERNELDIR	:= $(INSTALL_ROOT)/linux

test_module-objs += ../STM32F4xx_HAL_Driver/system_stm32f4xx.o
test_module-objs += ../STM32F4xx_HAL_Driver/Src/stm32f4xx_hal.o
test_module-objs += ../STM32F4xx_HAL_Driver/Src/stm32f4xx_hal_gpio.o
test_module-objs += ../STM32F4xx_HAL_Driver/Src/stm32f4xx_hal_cortex.o

test_module-objs += test_main.o

obj-m	+= test_module.o

EXTRA_CFLAGS += -I$(INSTALL_ROOT)/projects/ls1046a/app/driver/STM32F4xx_HAL_Driver
EXTRA_CFLAGS += -I$(INSTALL_ROOT)/projects/ls1046a/app/driver/STM32F4xx_HAL_Driver/Inc

modules	:
	make -C $(KERNELDIR) M=`pwd` modules CFLAGS="" LDFLAGS=""

clean_modules:
	make -C $(KERNELDIR) M=`pwd` clean
	rm -f modules.order

